@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&display=swap");

.nice-button,
.arrow-button {
    user-select: none;
    font-family: "Poppins", sans-serif;
    font-weight: bold;
    letter-spacing: 1px;

    display: block;

    transition: .3s;
    position: relative;
}

/* NICE BUTTON */
.nice-button,
.nice-button * {
    box-sizing: border-box;
}

.nice-button {
    --nice-button-background: #686868;
    --nice-button-disabled-background: #888888;
    --nice-button-hover-background: #4c4c4c;

    --button-color: black;

    border: none;
    background: none;
    padding: 0;
    margin: 0;

    height: max(10%, min(100%, 60px));
    width: max(20%, min(80%, 100px));
}

.nice-button:not(:disabled):not([disabled]):hover {
    width: max(30%, min(100%, 120px));
    cursor: pointer;
}

.nice-button > span {
    background: var(--nice-button-background);
    border: 1px solid white;

    transition: .3s;
    text-decoration: none;
    text-transform: uppercase;
    color: white;

    position: absolute;
    z-index: 1;

    inset: 10px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.nice-button:disabled > span,
.nice-button[disabled] > span {
    background: var(--nice-button-disabled-background);
    color: gray;
    border-color: #999999;
}

.nice-button:not(:disabled):not([disabled]):hover > span {
    background: var(--nice-button-hover-background);
    color: var(--button-color);
    border-color: var(--button-color);

    box-shadow: 0 0 20px 5px var(--button-color), inset 0 0 20px -10px var(--button-color);
}

.nice-button:not(:disabled):not([disabled]) > span:before,
.nice-button:not(:disabled):not([disabled]) > span:after {
    content: "";
    transition: .3s;

    width: 10%;
    height: 10px;

    position: absolute;
    background: var(--nice-button-background);

    z-index: 2;
    border: 1px solid white;
    border-radius: 4px;
}

.nice-button:not(:disabled):not([disabled]) > span:before {
    top: -6.5px;
    left: 80%;
}

.nice-button:not(:disabled):not([disabled]) > span:after {
    bottom: -6.5px;
    right: 80%;
}

.nice-button:not(:disabled):not([disabled]):hover > span:before,
.nice-button:not(:disabled):not([disabled]):hover > span:after {
    border-color: var(--button-color);
    background: var(--nice-button-hover-background);
}

.nice-button:not(:disabled):not([disabled]):hover > span:before {
    left: 20%;
    transform: translate(-100%, 0);
}

.nice-button:not(:disabled):not([disabled]):hover > span:after {
    right: 20%;
    transform: translate(100%, 0);
}
/* ***** */





/* ARROW BUTTON */
.arrow-button {
    --arrow-button-background: white;
    --arrow-button-cutoff: 2rem;
    --button-color: white;

    background: var(--arrow-button-background);
    padding: 1rem;

    text-transform: uppercase;
    border: 1px solid var(--button-color);
    box-shadow: 0 0 30px -5px var(--button-color);

    clip-path: polygon(100% 0, 100% 50%, 100% 100%, 0% 100%, 0 50%, 0% 0%);
}

.arrow-button:hover {
    background: var(--button-color);
    cursor: pointer;
    letter-spacing: 3px;
}

.arrow-button:not(.reversed):hover {
    clip-path: polygon(calc(100% - var(--arrow-button-cutoff)) 0, 100% 50%, calc(100% - var(--arrow-button-cutoff)) 100%, 0 100%, 0 50%, 0 0);
    padding-right: var(--arrow-button-cutoff);
}

.arrow-button.reversed:hover {
    clip-path: polygon(100% 0, 100% 50%, 100% 100%, var(--arrow-button-cutoff) 100%, 0 50%, var(--arrow-button-cutoff) 0);
    padding-left: var(--arrow-button-cutoff);
}

.neon-button {
    --button-color: white;
    --neon-button-contrast-color: #747474;
    --neon-button-text-color: black;

    display: flex;
    justify-content: center;
    align-items: center;

    background: var(--neon-button-contrast-color);

    text-transform: uppercase;
    color: var(--button-color);

    border: 1px solid var(--button-color);
    border-radius: 8px;

    box-shadow: 0 0 30px -5px var(--button-color);

    transition: all 0.3s ease;
}

.neon-button:hover {
    background: var(--button-color);

    border-color: var(--neon-button-contrast-color);
    color: var(--neon-button-text-color);

    box-shadow: inset 0 0 30px -10px var(--neon-button-contrast-color), 0 0 30px 0px var(--button-color);

    cursor: pointer;
}